Skip to main content
GET
/
lists
List Lists
curl --request GET \
  --url https://crm.universal.rollout.com/api/lists \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Rollout-Credential-Id: <api-key>'
{
  "_metadata": {
    "collection": "<string>",
    "offset": 123,
    "limit": 123,
    "total": 123,
    "next": "<string>",
    "nextLink": "<string>"
  },
  "lists": [
    {
      "id": "<string>",
      "originalIds": {},
      "original": {},
      "created": "<string>",
      "updated": "<string>",
      "rolloutUpdated": "<string>",
      "peopleParticipantIds": [
        "<string>"
      ],
      "name": "<string>",
      "isFavorite": true,
      "description": "<string>"
    }
  ]
}

Authorizations

Authorization
string
header
required

Authorization JWT

X-Rollout-Credential-Id
string
header
required

The Rollout Credential ID to use for queries/mutations

Query Parameters

next
string
offset
default:0
limit
number

Response

OK

_metadata
object
required
lists
object[]
required